package androidx.core.app;

import android.app.PendingIntent;
import android.text.TextUtils;
import androidx.core.graphics.drawable.IconCompat;
import ῲ.ᑓ.AbstractC1615;
import ῲ.ᑓ.AbstractC1617;
import ῲ.ᑓ.C1616;

public class RemoteActionCompatParcelizer {
    public static RemoteActionCompat read(AbstractC1617 k) {
        RemoteActionCompat remoteActionCompat = new RemoteActionCompat();
        AbstractC1615 r1 = remoteActionCompat.f1144;
        if (k.m4205(1)) {
            r1 = k.m4191();
        }
        remoteActionCompat.f1144 = (IconCompat) r1;
        remoteActionCompat.f1143 = k.m4199(remoteActionCompat.f1143, 2);
        remoteActionCompat.f1141 = k.m4199(remoteActionCompat.f1141, 3);
        remoteActionCompat.f1146 = (PendingIntent) k.m4198(remoteActionCompat.f1146, 4);
        remoteActionCompat.f1142 = k.m4206(remoteActionCompat.f1142, 5);
        remoteActionCompat.f1145 = k.m4206(remoteActionCompat.f1145, 6);
        return remoteActionCompat;
    }

    public static void write(RemoteActionCompat remoteActionCompat, AbstractC1617 k) {
        k.m4207();
        IconCompat iconCompat = remoteActionCompat.f1144;
        k.m4194(1);
        k.m4204(iconCompat);
        CharSequence charSequence = remoteActionCompat.f1143;
        k.m4194(2);
        C1616 r1 = (C1616) k;
        TextUtils.writeToParcel(charSequence, r1.f5804, 0);
        CharSequence charSequence2 = remoteActionCompat.f1141;
        k.m4194(3);
        TextUtils.writeToParcel(charSequence2, r1.f5804, 0);
        k.m4196(remoteActionCompat.f1146, 4);
        boolean z = remoteActionCompat.f1142;
        k.m4194(5);
        r1.f5804.writeInt(z ? 1 : 0);
        boolean z2 = remoteActionCompat.f1145;
        k.m4194(6);
        r1.f5804.writeInt(z2 ? 1 : 0);
    }
}
